curl --request PUT \
--url https://api.exowpee.com/v1/order/cash-registers/{cashRegister} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cashiers": {
"agent_ids": [
"<string>"
],
"user_profile_ids": [
"<string>"
]
},
"is_seller": true,
"auto_print_invoice": true,
"linear_pos": true
}
'import requests
url = "https://api.exowpee.com/v1/order/cash-registers/{cashRegister}"
payload = {
"name": "<string>",
"cashiers": {
"agent_ids": ["<string>"],
"user_profile_ids": ["<string>"]
},
"is_seller": True,
"auto_print_invoice": True,
"linear_pos": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cashiers: {agent_ids: ['<string>'], user_profile_ids: ['<string>']},
is_seller: true,
auto_print_invoice: true,
linear_pos: true
})
};
fetch('https://api.exowpee.com/v1/order/cash-registers/{cashRegister}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/order/cash-registers/{cashRegister}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'cashiers' => [
'agent_ids' => [
'<string>'
],
'user_profile_ids' => [
'<string>'
]
],
'is_seller' => true,
'auto_print_invoice' => true,
'linear_pos' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/order/cash-registers/{cashRegister}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"cashiers\": {\n \"agent_ids\": [\n \"<string>\"\n ],\n \"user_profile_ids\": [\n \"<string>\"\n ]\n },\n \"is_seller\": true,\n \"auto_print_invoice\": true,\n \"linear_pos\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.exowpee.com/v1/order/cash-registers/{cashRegister}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"cashiers\": {\n \"agent_ids\": [\n \"<string>\"\n ],\n \"user_profile_ids\": [\n \"<string>\"\n ]\n },\n \"is_seller\": true,\n \"auto_print_invoice\": true,\n \"linear_pos\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/order/cash-registers/{cashRegister}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"cashiers\": {\n \"agent_ids\": [\n \"<string>\"\n ],\n \"user_profile_ids\": [\n \"<string>\"\n ]\n },\n \"is_seller\": true,\n \"auto_print_invoice\": true,\n \"linear_pos\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"is_seller": true,
"auto_print_invoice": true,
"linear_pos": true,
"is_locked": true,
"session_status": "<string>",
"cash_account_id": "<string>",
"last_closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cashiers": "<array>"
}{
"message": "<string>",
"errors": {}
}Edit a cash register
Changes the name and options of a cash register, such as seller mode, automatic invoice printing and linear POS.
curl --request PUT \
--url https://api.exowpee.com/v1/order/cash-registers/{cashRegister} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cashiers": {
"agent_ids": [
"<string>"
],
"user_profile_ids": [
"<string>"
]
},
"is_seller": true,
"auto_print_invoice": true,
"linear_pos": true
}
'import requests
url = "https://api.exowpee.com/v1/order/cash-registers/{cashRegister}"
payload = {
"name": "<string>",
"cashiers": {
"agent_ids": ["<string>"],
"user_profile_ids": ["<string>"]
},
"is_seller": True,
"auto_print_invoice": True,
"linear_pos": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
cashiers: {agent_ids: ['<string>'], user_profile_ids: ['<string>']},
is_seller: true,
auto_print_invoice: true,
linear_pos: true
})
};
fetch('https://api.exowpee.com/v1/order/cash-registers/{cashRegister}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/order/cash-registers/{cashRegister}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'cashiers' => [
'agent_ids' => [
'<string>'
],
'user_profile_ids' => [
'<string>'
]
],
'is_seller' => true,
'auto_print_invoice' => true,
'linear_pos' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/order/cash-registers/{cashRegister}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"cashiers\": {\n \"agent_ids\": [\n \"<string>\"\n ],\n \"user_profile_ids\": [\n \"<string>\"\n ]\n },\n \"is_seller\": true,\n \"auto_print_invoice\": true,\n \"linear_pos\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.exowpee.com/v1/order/cash-registers/{cashRegister}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"cashiers\": {\n \"agent_ids\": [\n \"<string>\"\n ],\n \"user_profile_ids\": [\n \"<string>\"\n ]\n },\n \"is_seller\": true,\n \"auto_print_invoice\": true,\n \"linear_pos\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/order/cash-registers/{cashRegister}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"cashiers\": {\n \"agent_ids\": [\n \"<string>\"\n ],\n \"user_profile_ids\": [\n \"<string>\"\n ]\n },\n \"is_seller\": true,\n \"auto_print_invoice\": true,\n \"linear_pos\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"is_seller": true,
"auto_print_invoice": true,
"linear_pos": true,
"is_locked": true,
"session_status": "<string>",
"cash_account_id": "<string>",
"last_closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cashiers": "<array>"
}{
"message": "<string>",
"errors": {}
}cash_registers.update
Conditions
- A locked register cannot be edited.
- The name must stay unique among the company’s registers.
- cashiers is prohibited here.
- When linear_pos is sent, applies it to the seller records of the register.
- When is_seller changes, deactivates all seller records and reactivates those of active cashiers if the register is now a seller.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the cash register (27-character KSUID).
Query Parameters
Response mode. Default none; none answers 204 No Content.
none, resource Comma-separated JSON keys of the root resource (id is always rendered). Available: id, name, is_seller, auto_print_invoice, linear_pos, is_locked, session_status, cash_account_id, last_closed_at, created_at, updated_at.
Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: cashiers.
Body
Name of the register, up to 250 characters, unique among the company's registers. Required on creation; optional on update.
250Cashiers to assign. Required on creation, with at least one id; prohibited on update.
Show child attributes
Show child attributes
Whether cashiers of this register are also sellers. Defaults to false on creation; unchanged when omitted on update.
Whether the invoice is printed automatically after a sale. Defaults to false on creation.
Whether the register uses the linear point-of-sale layout. Defaults to false on creation.
Response
Resource (only with response=resource).
Identifier of the cash register (27-character KSUID).
Name of the register, unique within the company.
True when the cashiers of this register are also sellers who can be credited with sales.
True when the point of sale prints the invoice automatically after a sale.
True when the register uses the linear point-of-sale layout; it is copied to the register's seller records.
True when the register is locked and cannot be opened or edited.
Whether a register session is running: open or closed.
Identifier of the cash account created for this register.
Closing time of the most recently opened register session of this register (ISO 8601); null when no register session was ever opened or while that session is still open. Omitted when the register session was not loaded (for example in the public available list).
Date and time the record was created (ISO 8601, UTC).
Date and time the record was last changed (ISO 8601, UTC).
Cashiers assigned to this register, as summaries with their id.